@use "@styles/helpers.scss";

.stepsList {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  margin-bottom: 16px;
}

.header {
  margin-bottom: 10px;
}

.step {
  position: relative;
  background-color: white;
  border: 1px solid #eee;
  padding: 21px;
  border-radius: 15px;
  display: flex;
  align-items: center;
  width: 100%;
  height: 103px;
  & + .step {
    margin: 10px 0 0 0;
  }

  &__num {
    position: absolute;
    top: 10px;
    right: 13px;
    font-weight: 700;
    font-size: 24px;
    color: helpers.$lightBlueLight;
  }

  &__desc {
    max-width: 136px;
    font-size: 16px;
    line-height: 22px;
    margin-left: 20px;

    a {
      color: helpers.$lightBlue;
      cursor: pointer;
      position: relative;
      display: inline-block;
      background: linear-gradient(to right, #4fb3ec 50%, #1198ce 50%);
      background-clip: text;
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      background-size: 200% 100%;
      background-position: 100%;
      transition: background-position 0.3s ease;

      &:hover {
        background-position: 0 100%;
      }

      &::after {
        position: absolute;
        display: block;
        content: "";
        bottom: 1px;
        left: 0;
        width: 0%;
        border-bottom: 1px solid #119ad0;
        transition: width 0.3s ease-in-out;
      }

      &:hover::after,
      &:focus::after {
        width: 100%;
      }
    }
  }
}

.icon {
  width: 54px;
  height: 54px;
  margin-bottom: 10px;
}

@media screen and (min-width: helpers.$widthTablet) {
  .header {
    margin-bottom: 23px;
  }

  .stepsList {
    flex-wrap: wrap;
  }

  .icon {
    margin: 0 0 13px 0;
  }

  .step {
    flex: 1;
    flex-basis: calc(50% - 20px);
    height: 100%;
    flex-direction: column;
    align-items: flex-start;

    &__desc {
      margin: 0;
    }
  }

  .step + .step + .step {
    margin: 18px 0 0;
  }

  .step + .step + .step + .step {
    margin: 18px 0 0 18px;
  }
}

@media screen and (min-width: 980px) {
  .stepsList {
    flex-wrap: nowrap;
    max-width: 100%;
    justify-content: space-around;
    flex-direction: row;
    margin-bottom: 13px;
  }

  .step + .step {
    margin: 0;
  }

  .step + .step + .step {
    margin: 0;
  }

  .step {
    align-items: flex-start;
    max-width: 200px;
    margin: 0;
  }
}

@media screen and (min-width: helpers.$widthDesktop) {
  .header {
    margin-bottom: 20px;
  }
}
